%global repo_name python-rpm-spec
%bcond_without tests

Name:       python-pyrpm
Version:    0.14.1
Release:    2
Summary:    python-pyrpm is a Python library for parsing RPM spec files
License:    MIT
URL:        https://github.com/bkircher/%{repo_name}
Source0:    https://files.pythonhosted.org/packages/a8/35/b00d2a67f5116f6690db70c915f0c58d190174d585b7171f007110d28b1e/python-rpm-spec-0.14.1.tar.gz
BuildArch:  noarch

%description
python-pyrpm is a Python library for parsing RPM spec files. This module allows
you to parse spec files and gives you simple access to various bits of
information that is contained in the spec file.

%package -n python3-pyrpm
Summary: python3-pyrpm is a Python 3 library for parsing RPM spec files
Provides: python-rpm-spec = %{version}-%{release}
BuildRequires: python3-devel
BuildRequires: python3-pip python3-wheel python3-flit
%if %{with tests}
BuildRequires: python3-pytest
%endif
%description -n python3-pyrpm
It is a Python 3 library for python-pyrpm.

%package help
Summary:        Development documents and examples for python3-pyrpm
Provides:       python3-python-rpm-spec-doc
%description help
It is a Python 3 library for python-pyrpm.

%prep
%autosetup -n python-rpm-spec-%{version}

%build
%pyproject_build

%install
%pyproject_install python-rpm-spec==%{version}
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi

%check
%if %{with tests}
py.test-%{python3_version} -vv tests || :
%endif

%files -n python3-pyrpm
%{python3_sitelib}/*
%license LICENSE
%doc README.md AUTHORS examples

%changelog
* Mon Apr 24 2023 Ge Wang <wang__ge@126.com> - 0.14.1-2
- Use pyproject to compile package

* Tue Apr 11 2023 Ge Wang <wang--ge@126.com> - 0.14.1-1
- Update package to version 0.14.1

* Fri Nov 25 2022 wangjunqi <wangjunqi@kylinos.cn> - 0.13-1
- Update package to version 0.13

* Tue Sep 29 2020 Leo Fang <leofang_94@163.com>
- Package Init
